
# FRAME SETUP
######################

# 1334x750 
bg = new BackgroundLayer backgroundColor: "#000"
Framer.Device.background.backgroundColor = "#fff"



# LAYERS
######################

bg = new Layer width:750, height:1334, x:0, y:0, image:"images/lockscreen.png"
bgOverlay = new Layer width:750, height:1334, x:0, y:0, image:"images/lockscreen-overlay.png"
popup = new Layer width:670, height:1254, x:40, y:40, backgroundColor:"white", borderRadius:15, scale:5, opacity:0
popupBar = new Layer width:670, height:100, x:0, y:0, backgroundColor:"#ccc", opacity:0
popupBarLine = new Layer width:670, height:1, x:0, y:100, backgroundColor:"#B2B2B2"
popupBarCancel = new Layer height:27, width:103, x:30, y:36.5, image:"images/cancel.png"
popupBarSend = new Layer height:34, width:34, x:606, y:33, image:"images/add.svg"
popupCursor = new Layer height:46, width:4, x:30, y:130, backgroundColor:"#5C7FF2", opacity:0
keyboard = new Layer width:750, height:435, x:0, y:1334, image:"images/keyboard.png"

# subsets (popup)
popupBar.superLayer = popup
popupBarLine.superLayer = popup
popupBarCancel.superLayer = popup
popupBarSend.superLayer = popup
popupCursor.superLayer = popup

# pinch
finger = new Layer width: pressSize, height: pressSize, backgroundColor: fingerColor, borderRadius: pressSize / 2, opacity: 0, x: fingerStartPosX, y: fingerStartPosY
thumb = new Layer width: pressSize, height: pressSize, backgroundColor: thumbColor, borderRadius: pressSize / 2, opacity: 0, x: thumbStartPosX, y: thumbStartPosY, 



# ANIMATION
######################

# Default settings
Framer.Defaults.Animation = {
    curve: "spring(100,15,0)"
    repeat: 0
    delay: 1
    time: 2
}


# bg
bg.animate
	curve: "ease-in-out"
	properties:
		scale:1.2
		#scale:0.5
		blur:10
	delay: 2
	time: 0.2
	
	
# bg overlay
bgOverlay.animate
	curve: "ease-in-out"
	properties:
		opacity: 0
	delay: 2
	time: 0.2


# popup
popup.animate
	properties:
		scale: 1
		opacity: 1
	delay: 1.7
	time: 0.2


# keyboard
keyboard.animate
	curve: "ease-in-out"
	properties:
		y: 899 #815
	delay: 3
	time: 0.4
	repeat: 0


# cursor effect
popupCursorA = new Animation({
    layer: popupCursor,
   	properties: { opacity: 1 },
	delay: 0,
	time: 0,
	repeat: 0
})
popupCursorB = popupCursorA.reverse()
# Alternate between the two animations
popupCursorA.on(Events.AnimationEnd, popupCursorB.start)
popupCursorB.on(Events.AnimationEnd, popupCursorA.start)
# Start animation
popupCursorA.start()




# PINCH GESTURE
################

# Variables

pressSize = 100			
pressTime = 0.025		
slideTime = 0.5			
fingerColor = "white"
thumbColor = "white"
fingerStartPosX = 525	
fingerStartPosY = 217	
fingerEndPosX = 325		
fingerEndPosY = 617		
thumbStartPosX = 125	
thumbStartPosY = 1017	
thumbEndPosX = 325		
thumbEndPosY = 617


# Layers

finger = new Layer width: pressSize, height: pressSize, backgroundColor: fingerColor, borderRadius: pressSize / 2, opacity: 0, x: fingerStartPosX, y: fingerStartPosY
	
thumb = new Layer width: pressSize, height: pressSize, backgroundColor: thumbColor, borderRadius: pressSize / 2, opacity: 0, x: thumbStartPosX, y: thumbStartPosY, 


# Animations

Framer.Defaults.Animation = { curve: "ease-in-out" }

# Finger
finger.animate
	properties:
		opacity: 0.7
	delay: 1
	time: pressTime

finger.on Events.AnimationEnd, ->
	finger.animate
		properties:
			x: fingerEndPosX
			y: fingerEndPosY
			opacity: 0
			scale: 0.9
		time: slideTime

# Thumb
thumb.animate
	properties:
		opacity: 0.7
	delay: 1
	time: pressTime

thumb.on Events.AnimationEnd, ->
	thumb.animate
		properties:
			x: thumbEndPosX
			y: thumbEndPosY
			opacity: 0
			scale: 0.9
		time: slideTime



# TOUCH GESTURE
#################

# Variables

pressSize = 100			
pressTime = 0.1			
liftTime = 0.6			
pressStrength = 0.3		
pressSpread = 1.6		
fingerColor = "#555"
fingerPosX = 613		
fingerPosY = 40		


# Layers

fingerIn = new Layer width: pressSize, height: pressSize, backgroundColor: fingerColor, borderRadius: pressSize / 2, opacity: 0, scale: 1, x: fingerPosX, y: fingerPosY

fingerOut = new Layer width: pressSize, height: pressSize, backgroundColor: fingerColor, borderRadius: pressSize / 2, opacity: 0, scale: 1, x: fingerPosX, y: fingerPosY


# Animations

Framer.Defaults.Animation = { curve: "ease-in-out" }

fingerIn.animate
	properties:
		opacity: pressStrength
	delay: 5
	time: pressTime

fingerIn.on Events.AnimationEnd, ->
	fingerIn.animate
		properties:
			scale: 0
			opacity: 0
		delay: 0
		time: liftTime
		
fingerOut.animate
	properties:
		opacity: pressStrength
	delay: 5
	time: pressTime

fingerOut.on Events.AnimationEnd, ->
	
	fingerOut.animate
		properties:
			scale: pressSpread
			opacity: 0
		delay: 0
		time: liftTime
		
	
	# close windows on touch

	# popup
	popup.animate
		curve: "spring(100,15,0)"
		properties:
			scale: 0
			opacity: 0
		delay: 0.2
		time: 0.5
		
	# keyboard
	keyboard.animate
		properties:
			y: 1334
		delay: 0.2
		time: 0.4
	
	# bg
	bg.animate
		properties:
			scale: 1
			blur: 0
		delay: 0.2
		time: 0.2
			
	# bg overlay
	bgOverlay.animate
		properties:
			opacity: 1
		delay: 0.4
		time: 0.2
